<?
//тут все диалоги с нпс
$src_npc = mysql_query("SET NAMES utf8");
$src_npc=mysql_query("SELECT * FROM npc_world WHERE npc_src=\"$speak\"");
$speak_npc = mysql_query("SELECT * FROM npc_speak WHERE npc_id=\"$speak\" AND npc_speak=\"$id\"");
$speak_npc2 = mysql_fetch_assoc($speak_npc);
				while($src_npc2=mysql_fetch_assoc($src_npc)){
if (isset($speak) AND $speak == "$src_npc2[npc_src]") {
                if($src_npc2[npc_loc]!=$query3[loc]){echo"этого нпс рядом с вами нет!";die;}
                  else include ("speak/$speak/$speak.php");
				     { 
					 if(mysql_num_rows($speak_npc)<1){
					 
					 echo"</div><div style=\"padding:5px\"><center><img src=\"img/lose.png\"></center><font color=\"black\"> <b>
					 Ошибка в диалоге. Мы уже в курсе данной ошибки, в скором времени все заработает,спасибо вам за то, что помогаете развивать проект!</b><br/>
					 
					 <br/>";
					
$errors = mysql_query("SELECT * FROM speak_errors WHERE npc=\"$speak\" AND dialog=\"$id\"");
$erbr = mysql_query("SELECT * FROM users WHERE NICK=\"$_SESSION[s]\"");
$erbr2 = mysql_fetch_assoc($erbr);
if(mysql_num_rows($errors)<1){
$err = mysql_query("INSERT INTO speak_errors (npc,dialog) VALUES ('$speak','$id')");
}


echo"<div class=\"menu\" style=\"border:1px black dotted;\"><li><a href=\"game.php\"><font color=\"#A23232\"><img src=\"img/clan.png\"> В игру</font></a></font></li>";
echo"</div></div>";
include("footer.php");
die;}
			 
					 if ($id == "$speak_npc2[npc_speak]")                  {include("speak/$speak/$speak_npc2[npc_speak].php");}
					  }
					  
					  }
                    }
				?>